/*	Public domain	*/

#ifdef HAVE_SA

extern char saVersion[64];

int	 SA_GetVersion(char *, size_t);
int	 SA_SignalUserChange(const char *, const char *, const char *);
void	 SA_AddAddressToWhiteList(const char *);
void	 SA_ReadScoreOnlyConfig(const char *);
void	 SA_CompileNow(int, int);
void	 SA_Finish(void);

int	 SA_ParseMessage(SF_Message *);
int	 SA_CheckMessage(SF_Message *);
int	 SA_RewriteMessage(SF_Message *);
void	 SA_LearnMessage(SF_Message *);
void     SA_FinishMessage(SF_Message *);

int	 SA_InitLearner(void);
void	 SA_RebuildLearnerCaches(void);
void	 SA_FinishLearner(void);
void	 SA_FinishAddrListFactory(void);

#endif /* HAVE_SA */
